package com.sckw.system.model.vo.res;


import com.sckw.system.api.model.dto.res.EntCacheResDto;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * Author: donglang
 * Time: 2025-11-05
 * Des: 企业下拉信息
 * Version: 1.0
 */

@Data
public class EntFindInfoVO {

    /**
     * 企业id
     */
    @Schema(description = "企业id")
    private Long entId;

    /**
     * 企业名称
     */
    @Schema(description = "企业名称")
    private String entName;


    private static EntFindInfoVO getInstance() {
        return new EntFindInfoVO();
    }


    public static EntFindInfoVO toPageResp(EntCacheResDto dto) {
        if (dto == null) {
            return new EntFindInfoVO();
        }
        EntFindInfoVO excelVO = EntFindInfoVO.getInstance();
        excelVO.setEntId(dto.getId());
        excelVO.setEntName(dto.getFirmName());

        return excelVO;
    }


}
